#include <bits/stdc++.h>
using namespace std;

const int MOD = (int)1e9 + 7;

int main() {
    int n, m; cin >> n >> m;
    vector<vector<int>> compatible(n);
    for (auto &line : compatible) {
        line.resize(m);
        for (int &can : line) {
            cin >> can;
        }
    }
    vector<vector<int>> countMatches((1 << n), vector<int>(m + 1));
    for (int i = 0; i <= m; i++) {
        countMatches[0][i] = 1;
    }
    for (int mask = 1; mask < (1 << n); mask++) {
        for (int k = 1; k <= m; k++) {
            countMatches[mask][k] = countMatches[mask][k - 1];
            for (int in = 0; in < n; in++) {
                if ((mask & (1 << in)) > 0 && compatible[in][k - 1] == 1) {
                    countMatches[mask][k] += countMatches[mask ^ (1 << in)][k - 1];
                    if (countMatches[mask][k] >= MOD) {
                        countMatches[mask][k] -= MOD;
                    }
                }
            }
        }
    }
    int maxMatch = 0, answer = 0;
    for (int mask = (1 << n) - 1; mask >= 0; mask--) {
        if (countMatches[mask][m] == 0) {
            continue;
        }
        if (__builtin_popcount(mask) > maxMatch) {
            maxMatch = __builtin_popcount(mask);
            answer = countMatches[mask][m];
        } else if (__builtin_popcount(mask) == maxMatch) {
            answer += countMatches[mask][m];
            if (answer >= MOD) {
                answer -= MOD;
            }
        }
    }
    cout << answer << "\n";
    return 0;
}
Footer
© 2022 GitHub, Inc.
Footer navigation
Terms
Privac